%define glib2_version           2.6.0
%define dbus_version            1.2
%define dbus_glib_version	0.82
%define polkit_version          0.92
%define parted_version          1.8.8
%define udev_version            145
%define mdadm_version           2.6.7
%define device_mapper_version   1.02
%define libatasmart_version     0.12
%define sg3_utils_version       1.26

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>
Summary: 	Disk Management Service
Name: 		DeviceKit-disks
Version: 	009
Release: 	1
BuildArch:	i686
License: 	GPLv2+
Group: 		System/Libraries
URL: 		http://cgit.freedesktop.org/DeviceKit/DeviceKit-disks/
Source0: 	http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
BuildRequires: 	glib-devel >= %{glib2_version}
BuildRequires: 	dbus-devel  >= %{dbus_version}
BuildRequires: 	dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: 	polkit-devel >= %{polkit_version}
BuildRequires: 	parted-devel >= %{parted_version}
BuildRequires: 	device-mapper-devel >= %{device_mapper_version}
BuildRequires: 	intltool
BuildRequires: 	libatasmart-devel >= %{libatasmart_version}
BuildRequires: 	zlib-devel
BuildRequires: 	libgudev1-devel >= %{udev_version}
BuildRequires: 	libudev-devel >= %{udev_version} docbook-dtds docbook-style-xsl
BuildRequires: 	sg3-utils-devel >= %{sg3_utils_version} gtk-doc eggdbus-devel libxml2-devel libxslt-devel ncurses-devel
Requires: 	dbus >= %{dbus_version}
Requires: 	dbus-glib >= %{dbus_glib_version}
Requires: 	glib >= %{glib2_version}
Requires: 	polkit >= %{polkit_version}
Requires: 	parted >= %{parted_version}
Requires: 	udev >= %{udev_version}
Requires: 	mdadm >= %{mdadm_version}
Requires: 	libatasmart >= %{libatasmart_version}
Requires: 	zlib
# for mount, umount, mkswap
Requires: 	util-linux-ng
# for mkfs.ext3, mkfs.ext3, e2label
Requires: 	e2fsprogs
# for mkfs.xfs, xfs_admin
Requires: 	xfsprogs
# for mkfs.vfat
Requires: 	dosfstools
# for mlabel
Requires: 	mtools
# for mkntfs
Requires: ntfsprogs

%description
DeviceKit-disks provides a daemon, D-Bus API and command line tools
for managing disks and storage devices.

%package devel
Summary: 	D-Bus interface definitions for DeviceKit-disks
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
# stupid guidelines require this for ownership of /usr/share/gtk-doc
Requires: 	gtk-doc

%description devel
D-Bus interface definitions for DeviceKit-disks.

%prep
%setup -q

%build
%configure --enable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

rm -f $RPM_BUILD_ROOT%{_libdir}/polkit-1/extensions/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/polkit-1/extensions/*.a

# TODO: should be fixed upstream
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/devkit-disks-bash-completion.sh

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)

%doc README AUTHORS NEWS COPYING HACKING doc/TODO

%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/profile.d/*.sh
/lib/udev/rules.d/*.rules

/lib/udev/devkit-disks-part-id
/lib/udev/devkit-disks-dm-export
/lib/udev/devkit-disks-probe-ata-smart
/sbin/umount.devkit

%{_bindir}/*
%{_libexecdir}/*

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/pkgconfig/DeviceKit-disks.pc

%{_datadir}/polkit-1/actions/*.policy

%{_libdir}/polkit-1/extensions/*.so

%{_datadir}/dbus-1/system-services/*.service

%attr(0770,root,root) %dir %{_localstatedir}/run/DeviceKit-disks
%attr(0770,root,root) %dir %{_localstatedir}/lib/DeviceKit-disks

%files devel
%defattr(-,root,root,-)
%{_datadir}/dbus-1/interfaces/*.xml

%dir %{_datadir}/gtk-doc/html/devkit-disks
%{_datadir}/gtk-doc/html/devkit-disks/*


%changelog
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 009-1
- Initial CCux package release
